# This file was created automatically by SWIG.
import coordc
class PositionPtr :
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __repr__(self):
        return "<C Position instance at %s>" % (self.this,)
class Position(PositionPtr):
    def __init__(self,this):
        self.this = this




class CoordPtr(PositionPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __del__(self,coordc=coordc):
        if self.thisown == 1 :
            coordc.delete_Coord(self)
    def getitem(self, *_args, **_kwargs):
        val = apply(coordc.Coord_getitem,(self,) + _args, _kwargs)
        return val
    def __len__(self, *_args, **_kwargs):
        val = apply(coordc.Coord___len__,(self,) + _args, _kwargs)
        return val
    def __mul__(self, *_args, **_kwargs):
        val = apply(coordc.Coord___mul__,(self,) + _args, _kwargs)
        return val
    def __rmul__(self, *_args, **_kwargs):
        val = apply(coordc.Coord___rmul__,(self,) + _args, _kwargs)
        return val
    def __repr__(self):
        return "<C Coord instance at %s>" % (self.this,)
class Coord(CoordPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(coordc.new_Coord,_args,_kwargs)
        self.thisown = 1




class ICoordPtr :
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __getitem__(self, *_args, **_kwargs):
        val = apply(coordc.ICoord___getitem__,(self,) + _args, _kwargs)
        return val
    def __len__(self, *_args, **_kwargs):
        val = apply(coordc.ICoord___len__,(self,) + _args, _kwargs)
        return val
    def __mul__(self, *_args, **_kwargs):
        val = apply(coordc.ICoord___mul__,(self,) + _args, _kwargs)
        return val
    def __rmul__(self, *_args, **_kwargs):
        val = apply(coordc.ICoord___rmul__,(self,) + _args, _kwargs)
        return val
    def __repr__(self):
        return "<C ICoord instance at %s>" % (self.this,)
class ICoord(ICoordPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(coordc.new_ICoord,_args,_kwargs)
        self.thisown = 1






#-------------- FUNCTION WRAPPERS ------------------



#-------------- VARIABLE WRAPPERS ------------------



#-------------- USER INCLUDE -----------------------

# -*- python -*-
# $RCSfile: coord_.py,v $
# $Revision: 1.6 $
# $Author: reida $
# $Date: 2003/04/02 14:51:36 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modified
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov. 

from SWIG.common.space import spacedim

CoordPtr.__repr__ = lambda self:"Coord(%g,%g)" % (self[0],self[1])
ICoordPtr.__repr__ = lambda self: "ICoord(%d,%d)" % (self[0], self[1])

def _Coord___getitem__(self, indx):
    if indx >= spacedim or indx < 0:
        raise IndexError
    return self.getitem(indx)

CoordPtr.__getitem__ = _Coord___getitem__



def _Coord___cmp__(self, other):
    if not isinstance(other, CoordPtr): return -1
    if self[0] < other[0]: return -1
    if self[0] > other[0]: return 1
    if self[1] < other[1]: return -1
    if self[1] > other[1]: return 1
    return 0

CoordPtr.__cmp__ = _Coord___cmp__

def _Coord___hash__(self):
    return hash(self[0]) & hash(self[1])

CoordPtr.__hash__ = _Coord___hash__
