# This file was created automatically by SWIG.
import pixelgroupc
from SWIG.common.pixelattribute import PxlAttributeRegistrationPtr
class PixelSetPtr :
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __del__(self,pixelgroupc=pixelgroupc):
        if self.thisown == 1 :
            pixelgroupc.delete_PixelSet(self)
    def id(self, *_args, **_kwargs):
        val = apply(pixelgroupc.PixelSet_id,(self,) + _args, _kwargs)
        return val
    def resize(self, *_args, **_kwargs):
        val = apply(pixelgroupc.PixelSet_resize,(self,) + _args, _kwargs)
        return val
    def is_defunct(self, *_args, **_kwargs):
        val = apply(pixelgroupc.PixelSet_is_defunct,(self,) + _args, _kwargs)
        return val
    def set_defunct(self, *_args, **_kwargs):
        val = apply(pixelgroupc.PixelSet_set_defunct,(self,) + _args, _kwargs)
        return val
    def add(self, *_args, **_kwargs):
        val = apply(pixelgroupc.PixelSet_add,(self,) + _args, _kwargs)
        return val
    def remove(self, *_args, **_kwargs):
        val = apply(pixelgroupc.PixelSet_remove,(self,) + _args, _kwargs)
        return val
    def clear(self, *_args, **_kwargs):
        val = apply(pixelgroupc.PixelSet_clear,(self,) + _args, _kwargs)
        return val
    def members(self, *_args, **_kwargs):
        val = apply(pixelgroupc.PixelSet_members,(self,) + _args, _kwargs)
        return val
    def __len__(self, *_args, **_kwargs):
        val = apply(pixelgroupc.PixelSet___len__,(self,) + _args, _kwargs)
        return val
    def __getitem__(self, *_args, **_kwargs):
        val = apply(pixelgroupc.PixelSet___getitem__,(self,) + _args, _kwargs)
        return val
    def __repr__(self):
        return "<C PixelSet instance at %s>" % (self.this,)
class PixelSet(PixelSetPtr):
    def __init__(self,this):
        self.this = this




class PixelGroupPtr(PixelSetPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __del__(self,pixelgroupc=pixelgroupc):
        if self.thisown == 1 :
            pixelgroupc.delete_PixelGroup(self)
    def rename(self, *_args, **_kwargs):
        val = apply(pixelgroupc.PixelGroup_rename,(self,) + _args, _kwargs)
        return val
    def is_meshable(self, *_args, **_kwargs):
        val = apply(pixelgroupc.PixelGroup_is_meshable,(self,) + _args, _kwargs)
        return val
    def set_meshable(self, *_args, **_kwargs):
        val = apply(pixelgroupc.PixelGroup_set_meshable,(self,) + _args, _kwargs)
        return val
    def suppress_change_announcements(self, *_args, **_kwargs):
        val = apply(pixelgroupc.PixelGroup_suppress_change_announcements,(self,) + _args, _kwargs)
        return val
    def allow_change_announcements(self, *_args, **_kwargs):
        val = apply(pixelgroupc.PixelGroup_allow_change_announcements,(self,) + _args, _kwargs)
        return val
    def name(self, *_args, **_kwargs):
        val = apply(pixelgroupc.PixelGroup_name,(self,) + _args, _kwargs)
        return val
    def __repr__(self):
        return "<C PixelGroup instance at %s>" % (self.this,)
class PixelGroup(PixelGroupPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(pixelgroupc.new_PixelGroup,_args,_kwargs)
        self.thisown = 1




class PixelGroupAttributeRegistrationPtr(PxlAttributeRegistrationPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __repr__(self):
        return "<C PixelGroupAttributeRegistration instance at %s>" % (self.this,)
class PixelGroupAttributeRegistration(PixelGroupAttributeRegistrationPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(pixelgroupc.new_PixelGroupAttributeRegistration,_args,_kwargs)
        self.thisown = 1






#-------------- FUNCTION WRAPPERS ------------------

pixelGroupNames = pixelgroupc.pixelGroupNames



#-------------- VARIABLE WRAPPERS ------------------



#-------------- USER INCLUDE -----------------------

# -*- python -*-
# $RCSfile: pixelgroup_.py,v $
# $Revision: 1.18 $
# $Author: langer $
# $Date: 2003/07/01 21:26:22 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modified
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov. 

def _PixelGroup___eq__(self, other):
    try:
        return self.id() == other.id()
    except AttributeError:
        return 0
PixelGroupPtr.__eq__ = _PixelGroup___eq__

def _PixelGroup___hash__(self):
    return hash(self.id())
PixelGroupPtr.__hash__ = _PixelGroup___hash__

#######################

attributeReg = PixelGroupAttributeRegistration()

