# This file was created automatically by SWIG.
import colorc
from SWIG.engine.properties import PropertyPtr
from SWIG.common.ccolor import CColorPtr
class ColorPropPtr(PropertyPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def color(self, *_args, **_kwargs):
        val = apply(colorc.ColorProp_color,(self,) + _args, _kwargs)
        return val
    def __repr__(self):
        return "<C ColorProp instance at %s>" % (self.this,)
class ColorProp(ColorPropPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(colorc.new_ColorProp,_args,_kwargs)
        self.thisown = 1






#-------------- FUNCTION WRAPPERS ------------------



#-------------- VARIABLE WRAPPERS ------------------



#-------------- USER INCLUDE -----------------------

# -*- python -*-
# $RCSfile: color_.py,v $
# $Revision: 1.24 $
# $Author: langer $
# $Date: 2004/12/15 21:53:52 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modified
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov. 

from engine import propertyregistration
from common import color
from common.IO import parameter
from common.IO import xmlmenudump

propertyregistration.PropertyRegistration(
    'Color', ColorProp,
    "SWIG.engine.property.color.color",0,
    [color.ColorParameter('color', color.black, tip=parameter.emptyTipString)],
    propertyType="Color",
    discussion=xmlmenudump.loadFile('DISCUSSIONS/engine/property/color.xml'),
    tip='Assign a decorative color to a material.'
    )


# Repr refers to registered name, not the actual property class name.
def _ColorProperty___repr__(self):
    return "ColorProperty(name='%s',color=%s)" % (self.name(),
                                                  `self.color()`)

ColorPropPtr.__repr__ = _ColorProperty___repr__

