# This file was created automatically by SWIG.
import massdensityc
from SWIG.engine.properties import PropertyPtr
class MassDensityPropPtr(PropertyPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def densityvalue(self, *_args, **_kwargs):
        val = apply(massdensityc.MassDensityProp_densityvalue,(self,) + _args, _kwargs)
        return val
    def __repr__(self):
        return "<C MassDensityProp instance at %s>" % (self.this,)
class MassDensityProp(MassDensityPropPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(massdensityc.new_MassDensityProp,_args,_kwargs)
        self.thisown = 1






#-------------- FUNCTION WRAPPERS ------------------



#-------------- VARIABLE WRAPPERS ------------------



#-------------- USER INCLUDE -----------------------

# -*- python -*-
# $RCSfile: massdensity_.py,v $
# $Revision: 1.15 $
# $Author: haan $
# $Date: 2004/11/10 15:39:16 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modified
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov. 

from engine import propertyregistration
PropertyRegistration = propertyregistration.PropertyRegistration

from common.IO import parameter
from engine import problem

import types
from SWIG.common import devel

if devel.devel():
    PropertyRegistration(
        'MassDensity', MassDensityProp,
        "SWIG.engine.property.massdensity.massdensity",100,
        [parameter.FloatParameter('rho', 0.0, tip="Mass density.")],
        fluxes=[problem.Stress],
        propertyType="Mass Density")

# Repr refers to registered name, not class name.    
def _MassDensity___repr__(self):
    return "MassDensity(name='%s', rho=%s)" % \
           (self.name(), `self.densityvalue()`)

MassDensityPropPtr.__repr__ = _MassDensity___repr__
