# This file was created automatically by SWIG.
import skeletonrelaxationratec
from SWIG.engine.properties import PropertyPtr
from SWIG.engine.symmmatrix import SymmMatrix3Ptr
class SkeletonRelaxationRatePtr(PropertyPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def alpha(self, *_args, **_kwargs):
        val = apply(skeletonrelaxationratec.SkeletonRelaxationRate_alpha,(self,) + _args, _kwargs)
        return val
    def __repr__(self):
        return "<C SkeletonRelaxationRate instance at %s>" % (self.this,)
class SkeletonRelaxationRate(SkeletonRelaxationRatePtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(skeletonrelaxationratec.new_SkeletonRelaxationRate,_args,_kwargs)
        self.thisown = 1






#-------------- FUNCTION WRAPPERS ------------------



#-------------- VARIABLE WRAPPERS ------------------



#-------------- USER INCLUDE -----------------------

# -*- python -*-
# $RCSfile: skeletonrelaxationrate_.py,v $
# $Revision: 1.2 $
# $Author: redwing $
# $Date: 2005/02/25 15:34:32 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modified
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov. 

from SWIG.common import devel
from SWIG.engine import symmmatrix
from common import utils
from common.IO import parameter
from engine import problem
from engine import propertyregistration

PropertyRegistration = propertyregistration.PropertyRegistration

SkeletonRelaxationRateTensor = PropertyRegistration(
    'Thermal:ThermalExpansion:SkeletonRelaxationRate', SkeletonRelaxationRate,
    "SWIG.engine.property.skeletonrelaxationrate.skeletonrelaxationrate",9000,
    [parameter.FloatParameter('alpha',
                              1,
                              tip=parameter.emptyTipString),
     parameter.FloatParameter('beta',
                              0.5,
                              tip=parameter.emptyTipString)],
    fields=[problem.Displacement],
    fluxes=[problem.Stress],
    outputs=[],
    propertyType="SkeletonRelaxationRate",
    nonlinear=1,
    secret = 1)
    

# Property reprs refer to the registered name, not the actual class name.
def _SkeletonRelaxationRate___repr__(self):
    return "SkeletonRelaxationRate(name='%s', alpha=%s)" % \
           (self.name(), `self.alpha()`)

SkeletonRelaxationRatePtr.__repr__ = _SkeletonRelaxationRate___repr__
