# This file was created automatically by SWIG.
import edgec
class EdgePtr :
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __del__(self,edgec=edgec):
        if self.thisown == 1 :
            edgec.delete_Edge(self)
    def position_(self, *_args, **_kwargs):
        val = apply(edgec.Edge_position_,(self,) + _args, _kwargs)
        return val
    def outputFields(self, *_args, **_kwargs):
        val = apply(edgec.Edge_outputFields,(self,) + _args, _kwargs)
        return val
    def outputFieldsAnyway(self, *_args, **_kwargs):
        val = apply(edgec.Edge_outputFieldsAnyway,(self,) + _args, _kwargs)
        return val
    def order(self, *_args, **_kwargs):
        val = apply(edgec.Edge_order,(self,) + _args, _kwargs)
        return val
    def startpt(self, *_args, **_kwargs):
        val = apply(edgec.Edge_startpt,(self,) + _args, _kwargs)
        if val: val = MasterCoordPtr(val) ; val.thisown = 1
        return val
    def endpt(self, *_args, **_kwargs):
        val = apply(edgec.Edge_endpt,(self,) + _args, _kwargs)
        if val: val = MasterCoordPtr(val) ; val.thisown = 1
        return val
    def __repr__(self):
        return "<C Edge instance at %s>" % (self.this,)
class Edge(EdgePtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(edgec.new_Edge,_args,_kwargs)
        self.thisown = 1




class BoundaryEdgePtr(EdgePtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def edge_match(self, *_args, **_kwargs):
        val = apply(edgec.BoundaryEdge_edge_match,(self,) + _args, _kwargs)
        return val
    def element(self, *_args, **_kwargs):
        val = apply(edgec.BoundaryEdge_element,(self,) + _args, _kwargs)
        if val: val = ElementPtr(val) 
        return val
    def startnode(self, *_args, **_kwargs):
        val = apply(edgec.BoundaryEdge_startnode,(self,) + _args, _kwargs)
        return val
    def endnode(self, *_args, **_kwargs):
        val = apply(edgec.BoundaryEdge_endnode,(self,) + _args, _kwargs)
        return val
    def __repr__(self):
        return "<C BoundaryEdge instance at %s>" % (self.this,)
class BoundaryEdge(BoundaryEdgePtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(edgec.new_BoundaryEdge,_args,_kwargs)
        self.thisown = 1






#-------------- FUNCTION WRAPPERS ------------------



#-------------- VARIABLE WRAPPERS ------------------



#-------------- USER INCLUDE -----------------------

# -*- python -*-
# $RCSfile: edge_.py,v $
# $Revision: 1.7 $
# $Author: reida $
# $Date: 2003/04/02 14:52:08 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modified
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov.

# These Coord objects are created in C++ and passed out to Python,
# so Python has to be the owner.  This is similar to the way the
# edges are handled in element_.py, where there is also another
# example of a Coord wrapper.
def _EdgePtr__position(self, locations):
    val = map(CoordPtr, self.position_(locations))
    for v in val:
        v.thisown = 1
    return val

EdgePtr.position = _EdgePtr__position

from SWIG.common.coord import CoordPtr
from SWIG.engine.elements import ElementPtr
from SWIG.engine.node import NodePtr
from SWIG.engine.mastercoord import MasterCoordPtr

