# This file was created automatically by SWIG.
import outputvalc
from SWIG.engine.fieldindex import IndexPPtr
from SWIG.engine.fieldindex import IteratorPPtr
class OutputValPtr :
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __del__(self,outputvalc=outputvalc):
        if self.thisown == 1 :
            outputvalc.delete_OutputVal(self)
    def getIndex(self, *_args, **_kwargs):
        val = apply(outputvalc.OutputVal_getIndex,(self,) + _args, _kwargs)
        if val: val = IndexPPtr(val) ; val.thisown = 1
        return val
    def getIterator(self, *_args, **_kwargs):
        val = apply(outputvalc.OutputVal_getIterator,(self,) + _args, _kwargs)
        if val: val = IteratorPPtr(val) ; val.thisown = 1
        return val
    def __getitem__(self, *_args, **_kwargs):
        val = apply(outputvalc.OutputVal___getitem__,(self,) + _args, _kwargs)
        return val
    def __repr__(self):
        return "<C OutputVal instance at %s>" % (self.this,)
class OutputVal(OutputValPtr):
    def __init__(self,this):
        self.this = this




class ScalarOutputValPtr(OutputValPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def value(self, *_args, **_kwargs):
        val = apply(outputvalc.ScalarOutputVal_value,(self,) + _args, _kwargs)
        return val
    def component_pow(self, *_args, **_kwargs):
        val = apply(outputvalc.ScalarOutputVal_component_pow,(self,) + _args, _kwargs)
        return val
    def component_square(self, *_args, **_kwargs):
        val = apply(outputvalc.ScalarOutputVal_component_square,(self,) + _args, _kwargs)
        return val
    def component_sqrt(self, *_args, **_kwargs):
        val = apply(outputvalc.ScalarOutputVal_component_sqrt,(self,) + _args, _kwargs)
        return val
    def value_list(self, *_args, **_kwargs):
        val = apply(outputvalc.ScalarOutputVal_value_list,(self,) + _args, _kwargs)
        return val
    def __repr__(self, *_args, **_kwargs):
        val = apply(outputvalc.ScalarOutputVal___repr__,(self,) + _args, _kwargs)
        return val
    def _add(self, *_args, **_kwargs):
        val = apply(outputvalc.ScalarOutputVal__add,(self,) + _args, _kwargs)
        return val
    def _sub(self, *_args, **_kwargs):
        val = apply(outputvalc.ScalarOutputVal__sub,(self,) + _args, _kwargs)
        return val
    def _mul(self, *_args, **_kwargs):
        val = apply(outputvalc.ScalarOutputVal__mul,(self,) + _args, _kwargs)
        return val
class ScalarOutputVal(ScalarOutputValPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(outputvalc.new_ScalarOutputVal,_args,_kwargs)
        self.thisown = 1




class VectorOutputValPtr(OutputValPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def size(self, *_args, **_kwargs):
        val = apply(outputvalc.VectorOutputVal_size,(self,) + _args, _kwargs)
        return val
    def component_pow(self, *_args, **_kwargs):
        val = apply(outputvalc.VectorOutputVal_component_pow,(self,) + _args, _kwargs)
        return val
    def component_square(self, *_args, **_kwargs):
        val = apply(outputvalc.VectorOutputVal_component_square,(self,) + _args, _kwargs)
        return val
    def component_sqrt(self, *_args, **_kwargs):
        val = apply(outputvalc.VectorOutputVal_component_sqrt,(self,) + _args, _kwargs)
        return val
    def value_list(self, *_args, **_kwargs):
        val = apply(outputvalc.VectorOutputVal_value_list,(self,) + _args, _kwargs)
        return val
    def __repr__(self, *_args, **_kwargs):
        val = apply(outputvalc.VectorOutputVal___repr__,(self,) + _args, _kwargs)
        return val
    def _add(self, *_args, **_kwargs):
        val = apply(outputvalc.VectorOutputVal__add,(self,) + _args, _kwargs)
        return val
    def _sub(self, *_args, **_kwargs):
        val = apply(outputvalc.VectorOutputVal__sub,(self,) + _args, _kwargs)
        return val
    def _mul(self, *_args, **_kwargs):
        val = apply(outputvalc.VectorOutputVal__mul,(self,) + _args, _kwargs)
        return val
class VectorOutputVal(VectorOutputValPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(outputvalc.new_VectorOutputVal,_args,_kwargs)
        self.thisown = 1




class OutputValuePtr :
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __del__(self,outputvalc=outputvalc):
        if self.thisown == 1 :
            outputvalc.delete_OutputValue(self)
    def valuePtr(self, *_args, **_kwargs):
        val = apply(outputvalc.OutputValue_valuePtr,(self,) + _args, _kwargs)
        return val
    def __getitem__(self, *_args, **_kwargs):
        val = apply(outputvalc.OutputValue___getitem__,(self,) + _args, _kwargs)
        return val
    def __repr__(self):
        return "<C OutputValue instance at %s>" % (self.this,)
class OutputValue(OutputValuePtr):
    def __init__(self,this):
        self.this = this






#-------------- FUNCTION WRAPPERS ------------------



#-------------- VARIABLE WRAPPERS ------------------



#-------------- USER INCLUDE -----------------------

# -*- python -*-
# $RCSfile: outputval_.py,v $
# $Revision: 1.4 $
# $Author: reida $
# $Date: 2005/01/31 21:14:09 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modified
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov. 



_labels = ["X-component", "Y-component", "Z-component"]

# Header and representation data for OutputValPtr classes ---
# used by analysis machinery to format the output.

# Return appropriate subset of "X", "Y", "Z" if size is less than
# three, otherwise return numeric component indices starting from 1.
def _VectorOutputValPtr_label_list(self):
    s = self.size()
    if s <= len(_labels):
        return _labels[:s]
    else:
        return [`x`+'-component' for x in range(1,s+1)]

VectorOutputValPtr.label_list = _VectorOutputValPtr_label_list

def _ScalarOutputValPtr_label_list(self):
    return ["Value"]

ScalarOutputValPtr.label_list = _ScalarOutputValPtr_label_list


#################################################################




# Arithemtic operations for the OutputValPtr subclasses.  These must
# create a new object which Python has ownership of, otherwise data
# can get lost.  The preliminary "add" step could be replaced by a
# smarter VectorOutputVal constructor.

def _VectorOutputValPtr___add__(self, other):
    res = VectorOutputVal(self.size())
    res._add(self)
    res._add(other)
    return res

VectorOutputValPtr.__add__ = _VectorOutputValPtr___add__


def _VectorOutputValPtr___sub__(self, other):
    res = VectorOutputVal(self.size())
    res._add(self)
    res._sub(other)
    return res

VectorOutputValPtr.__sub__ = _VectorOutputValPtr___sub__


def _ScalarOutputValPtr___add__(self, other):
    res = ScalarOutputVal(0.0)
    res._add(self)
    res._add(other)
    return res

ScalarOutputValPtr.__add__ = _ScalarOutputValPtr___add__


def _ScalarOutputValPtr___sub__(self, other):
    res = ScalarOutputVal(0.0)
    res._add(self)
    res._sub(other)
    return res

ScalarOutputValPtr.__sub__ = _ScalarOutputValPtr___sub__




# Multiplication and division only defined for scalar operands, of course.

def _VectorOutputValPtr___mul__(self, other):
    res = VectorOutputVal(self.size())
    res._add(self)
    res._mul(other)
    return res

VectorOutputValPtr.__mul__ = _VectorOutputValPtr___mul__


def _VectorOutputValPtr___div__(self, other):
    res = VectorOutputVal(self.size())
    res._add(self)
    res._mul(1.0/other)
    return res

VectorOutputValPtr.__div__ = _VectorOutputValPtr___div__


def _ScalarOutputValPtr___mul__(self, other):
    res = ScalarOutputVal(0.0)
    res._add(self)
    res._mul(other)
    return res

ScalarOutputValPtr.__mul__ = _ScalarOutputValPtr___mul__


def _ScalarOutputValPtr___div__(self, other):
    res = ScalarOutputVal(0.0)
    res._add(self)
    res._mul(1.0/other)
    return res

ScalarOutputValPtr.__div__ = _ScalarOutputValPtr___div__
