# -*- makefile -*- 
# $RCSfile: DIR.mk,v $
# $Revision: 1.13 $
# $Author: ericma $
# $Date: 2004/09/10 22:26:18 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modifed
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov. 

dirname := GRAINBDY
subdirs :=

cfiles := imageops.C igf.C mask.C modifiedGabor.C rgf.C close.C \
skeletonize.C connectEdge.C histogram.C newGabor.C sobel.C gaussSmooth.C \
laplacian.C laplacianGauss.C hysteresis.C nonmaxSuppression.C compare.C

swigfiles := imageops.swg

swigpyfiles :=

pyfiles := initialize.py wrappers.py

hfiles := imageops.h igf.h mask.h modifiedGabor.h rgf.h close.h \
skeletonize.h connectEdge.h histogram.h newGabor.h sobel.h gaussSmooth.h \
laplacian.h laplacianGauss.h hysteresis.h nonmaxSuppression.h compare.h

# Don't modify the rest of this
include $(SUBDIR)
